Subject: Re: [Bitcoin-development] User vote in blocksize through fees

From: odinn <[email-masked]>
Date: Sun, 14 Jun 2015 14:59:33 -0700

Notionally, I agree with what I see written here by Jeff, and I
appreciate the thoughtfulness that went into this short post to list.

On 06/14/2015 08:07 AM, Jeff Garzik wrote:
> Exactly -- both block size proponents and block size change 
> conservatives seem to be glossing over this aspect - much to my 
> dismay.
> 
> Choosing the size limit is choosing the size of a scarce resource. 
> By fiat.
> 
> It is wrong to think that a "technical consensus" can choose what 
> is best here.
> 
> The block size limit defines the scope of a resource for which all 
> fee market actors bid.  That, in turn, defines who is in the fee 
> market and how they behave, what market choices are made.
> 
> It doesn't matter how or why the limit was originally enacted, what
> Satoshi meant to do.  What matters, economically, is what is. What
> the software and our $3B economy & market knows and sees today.  (I
> think some block size change proponents miss this!)
> 
> The solution lies in transitioning this size limit to the free 
> market. In the end, the users must choose their desired level of 
> growth, decentralization, etc.  We cannot rely on some dev's idea 
> of the proper level of fee, proper level of growth, proper level
> of decentralization.
> 
> And IMO, a "floating limit with training wheels" is better and 
> stronger for bitcoin's health from a governance, user choice and 
> free market perspective than simply "hard fork to 2MB, come back 
> again in 6 months."
> 
> 
> 
> 
> 
> 
> 
> On Sun, Jun 14, 2015 at 6:34 AM, Benjamin 
> <[email-masked] <mailto:[email-masked]>> 
> wrote:
> 
> "The size limit is an economic policy lever that needs to be 
> transitioned -away- from software and software developers, to the 
> free market."
> 
> Exactly right. Bitcoin does not have a free market for fee though, 
> and literally all the discussion so far has neglected some 
> fundamental aspect of this, as you described. It's not at all a 
> "technical" or "engineering" decision. It's the question of how to 
> potentially re-design a fundamental part of Bitcoin, and the 
> proposals so far don't address this. What is the price of the 
> scarce resource of the blockchain and the mechanism to decide on 
> price, once the subsidy runs out?
> 
> On Sun, Jun 14, 2015 at 12:06 PM, Mats Henricson <[email-masked]
> <mailto:[email-masked]>> wrote:
>> Jeff,
>> 
>> with all due respect, but I've seen you saying this a few times 
>> now, that this decision is oh so difficult and important.
>> 
>> But this is not helpful. We all know that. Even I.
>> 
>> Make a suggestion, or stay out of the debate!
>> 
>> Mats
>> 
>> On 06/14/2015 07:36 AM, Jeff Garzik wrote:
>>> The choice is very real and on-point.  What should the block 
>>> size
> limit
>>> be?  Why?
>>> 
>>> There is a large consensus that it needs increasing.  To what?
>>> 
> By what
>>> factor?
>>> 
>>> The size limit literally defines the fee market, the whole 
>>> damn
> thing.  If
>>> software high priests choose a size limit of 300k, space is
> scarce, fees
>>> are bid high.  If software high priests choose a size limit of
> 32mb, space
>>> is plentiful, fees are near zero.  Market actors take their 
>>> signals accordingly.  Some business models boom, some business 
>>> models
> fail, as a
>>> direct result of changing this unintentionally-added
>>> speedbump.
>>> 
> Different
>>> users value adoption, decentralization etc. differently.
>>> 
>>> The size limit is an economic policy lever that needs to be
> transitioned
>>> -away- from software and software developers, to the free 
>>> market.
>>> 
>>> A simple, e.g. hard fork to 2MB or 4MB does not fix higher 
>>> level
> governance
>>> problems associated with actors lobbying developers, even if a
> cloistered
>>> and vetted Technical Advisory Board as has been proposed.
>>> 
>>> 
>>> 
>>> 
>>> 
>>> 
>>> 
>>> On Sun, Jun 14, 2015 at 1:20 AM, Eric Lombrozo
> <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>>> I definitely think we need some voting system for
> metaconsensus…but if
>>>> we’re going to seriously consider this we should look at the
> problem much
>>>> more generally. Using false choices doesn’t really help, 
>>>> though ;)
>>>> 
>>>> - Eric Lombrozo
>>>> 
>>>> 
>>>> On Jun 13, 2015, at 10:13 PM, Jeff Garzik 
>>>> <[email-masked]
> <mailto:[email-masked]>> wrote:
>>>> 
>>>> On Sun, Jun 14, 2015 at 1:08 AM, Eric Lombrozo
> <[email-masked] <mailto:[email-masked]>>
>>>> wrote:
>>>> 
>>>>> 2) BIP100 has direct economic consequences…and
>>>>> particularly for
> miners.
>>>>> It lends itself to much greater corruptibility.
>>>>> 
>>>>> 
>>>> What is the alternative?  Have a Chief Scientist or 
>>>> Technical
> Advisory
>>>> Board choose what is a proper fee, what is a proper level of
>>>>  decentralization, a proper growth factor?
>>>> 
>>>> 
>>>> 
>>> 
>>> 
>>> 
>>> 
>>> 
> ----------------------------------------------------------------------
- --------
>
>
> 
>> 
>>> 
>>> 
>>> _______________________________________________ 
>>> Bitcoin-development mailing list 
>>> [email-masked]
> <mailto:[email-masked]>
>>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>>>
>>> 
>> 
>> 
>> 
> ----------------------------------------------------------------------
- --------
_______________________________________________
>> Bitcoin-development mailing list 
>> [email-masked]
> <mailto:[email-masked]>
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> ----------------------------------------------------------------------
- --------
_______________________________________________
> Bitcoin-development mailing list 
> [email-masked] 
> <mailto:[email-masked]> 
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
> 
> 
> -- Jeff Garzik Bitcoin core developer and open source evangelist 
> BitPay, Inc.      https://bitpay.com/
> 
> 
> ----------------------------------------------------------------------
- --------
>
>
> 
> 
> 
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked] 
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 

- -- 
http://abis.io ~
"a protocol concept to enable decentralization
and expansion of a giving economy, and a new social good"
https://keybase.io/odinn